body {
    background: #eee;
}

.col-sm-10 {
    background: #fff;
}
.griddle th {
    color: #222;
    font-weight: bold;
}

th {
    color: #222;
    font-weight: bold;
}

a { 
    color: #222;
}

a:focus, a:hover {
    color: #0072ce;
    text-decoration: underline;
}

/* Alerts */
.alert-success {
    color: #fff;
    background-color: #00a550;
    border-color: #00a550;
}

.alert-danger {
    color: #fff;
    background-color: #a90228;
    border-color: #a90228;
}

/* Sony Styles */

.danger {
    color: #a90228;
}

.btn-primary {
    background-color: #0072ce !important;
}

.btn.primary.focus,.btn-primary:focus {
    background-color: #0072ce !important;
}

.headerBackground {
    background: -webkit-linear-gradient(top, #333333, #111111);
    background: linear-gradient(to bottom, #333333, #111111); 
}

.headerSub {
    height: 72px;
    background: -webkit-linear-gradient(top, #333333, #111111);
    background: linear-gradient(to bottom, #333333, #111111); 
}

.panel-heading {
    background: url(/legacy/assets/bg_flow.png ) right bottom no-repeat;
    color: white;
    height:100px;
    margin-top:32px;
}

.panel-title {
    display: table-cell;
    vertical-align: middle;
    line-height: 60px;
    color: #fff;
    font-size: 20px;
    font-weight: normal;
}

.panel-footer {
    background: #003287;
    background: -webkit-linear-gradient(left, #003287, #003287 70%, #0276c8);
    background: -o-linear-gradient(left, #003287, #003287 70%, #0276c8);
    background: linear-gradient(to right, #003287, #003287 70%, #0276c8);
    color: #B6E3FD;
}

table {
    width: 100%;
}

.header {
    color: #999;
    height: 48px;
    vertical-align: middle;
    background: url("/legacy/assets/bg_flow.png") right bottom no-repeat;
}

.headerText {
    line-height: 48px;
    text-align: right;
}

.headerItem {
    margin-left: 12px;
}

.logo {
    max-height: 40px;
}

/* Griddle overrides */
.griddle-footer {
    text-align: center;
    background-color: white;
}

.griddle .footer-container {
    background-color: white !important;
    border: 1px solid white;
}


/* End Griddle overrides */

.placeHolderComponent {
    border: 1px solid #aaa;
    border-radius: 4px;
    height:300px;
    line-height:300px;
    text-align: center;
    font-size: 4em;
    color: #666;
    margin-top:32px;
    box-shadow: 10px 10px 5px #ccc;
    width:75%;
}

/* Tooltips and supporitng arrows */
.arrow-up {
    width: 0; 
    height: 0; 
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-bottom: 10px solid #0072ce;    
    position:relative;
}

.arrow-down {
    width: 0; 
    height: 0; 
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-top: 10px solid #fff;
}

.arrow-right {
    width: 0; 
    height: 0; 
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
    border-left: 10px solid black;
}

.arrow-left {
  width: 0; 
  height: 0; 
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent; 
  border-right:10px solid blue; 
}

.tooltip {
    width:100px;
    height:32px;
}

.tooltipText {
    color:white;
    text-align:center;
    background:#0072ce;
    border-radius:4px;
    padding:6px;
}

.center-block {
    float: none;
    margin-left: auto;
    margin-right: auto;
}

.input-group .icon-addon .form-control {
    border-radius: 0;
}

.icon-addon {
    position: relative;
    color: #555;
    display: block;
}

.icon-addon:after,
.icon-addon:before {
    display: table;
    content: " ";
}

.icon-addon:after {
    clear: both;
}

.icon-addon.addon-md .glyphicon,
.icon-addon .glyphicon, 
.icon-addon.addon-md .fa,
.icon-addon .fa {
    position: absolute;
    z-index: 2;
    left: 10px;
    font-size: 14px;
    width: 20px;
    margin-left: -2.5px;
    text-align: center;
    padding: 10px 0;
    top: 1px
}

.icon-addon.addon-lg .form-control {
    line-height: 1.33;
    height: 46px;
    font-size: 18px;
    padding: 10px 16px 10px 40px;
}

.icon-addon.addon-sm .form-control {
    height: 30px;
    padding: 5px 10px 5px 28px;
    font-size: 12px;
    line-height: 1.5;
}

.icon-addon.addon-lg .fa,
.icon-addon.addon-lg .glyphicon {
    font-size: 18px;
    margin-left: 0;
    left: 11px;
    top: 4px;
}

.icon-addon.addon-md .form-control,
.icon-addon .form-control {
    padding-left: 30px;
    float: left;
    font-weight: normal;
}

.icon-addon.addon-sm .fa,
.icon-addon.addon-sm .glyphicon {
    margin-left: 0;
    font-size: 12px;
    left: 5px;
    top: -1px
}

.icon-addon .form-control:focus + .glyphicon,
.icon-addon:hover .glyphicon,
.icon-addon .form-control:focus + .fa,
.icon-addon:hover .fa {
    color: #2580db;
}

.griddle-filter {
    width:100%;
}

.form-control  {
    width: 100%;
}

.spidSearchInput {
    line-height: 1.33;
    height: 46px;
    font-size: 18px;
    padding: 10px 16px 10px 40px;
    width: 50%;
    margin-bottom:15px
}

.autofit { 
    width: auto;
}

.headerAlerts {
    width: 100%;
    position: absolute;
    top: 0px;
}

/** Override OKTA!!!! */
.dropdown {
    background: transparent !important;
}

.spid_select {
    width: 50px;
}

.fa {
    opacity: 100 !important;
}

.close {
    opacity: 50 !important;
}

.sectionHeader {
    cursor: pointer;
    padding: 6px; 
    background-color: #eee;
    border-bottom: solid 1px #e6e6e6;
}

/* SIEReactTable classes */
.centerHeading {
    text-align: center;
}

.dropdown-pull-right {
  float: right !important;
  right: 0 !important;;
  left: auto !important;
 position: relative !important;;
}

.dropdown-pull-right > .dropdown-menu {
  right: 0 !important;;
  left: auto !important;;
}

input[type=search] {
  -webkit-appearance: searchfield;
}

.spacer {
    height: 6px;
}

.demoNav {
   
    border: 1px solid #fff;
}

.demoNavActive {
   background: #0072ce;
   color: white;
}
.demoNav:hover {
    background: #fff;
    border: 1px solid #00a550;
    color: #000;
    text-decoration: none;
}

.spanGroup {
    background-color: #fff;
    display: inherit;
    width: auto;
    font-size: 14px;
    line-height: 1.42857143;
    border: 0px solid #ccc;
    text-align: left;
}

.spanGroup-noborder {
    background-color: #fff;
    display: inherit;
    width: 50%;
    font-size: 14px;
    line-height: 1.42857143;
    position: relative;
    text-align: left;
}

.react-datepicker {
  font-size: 1.3rem !important;
}

.react-datepicker__current-month {
  font-size: 1.5rem !important;
}

.react-datepicker__header {
  padding-top: 6px !important;
}

.react-datepicker__navigation {
  top: 13px !important;
}

.react-datepicker__day-name, .react-datepicker__day {
  margin: 0.5rem !important;
}

.react-date__input {
    display: block;
    height: 34px;
    font-size: 14px;
    line-height: 1.42857;
    color: rgb(85, 85, 85);
    background-color: rgb(255, 255, 255);
    background-image: none;
    box-shadow: rgba(0, 0, 0, 0.075) 0px 1px 1px inset;
    padding: 6px 12px;
    border-width: 1px;
    border-style: solid;
    border-color: rgb(204, 204, 204);
    border-image: initial;
    border-radius: 4px;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    text-align: center;
    width: 100px;
}

.spid_select {
    display: inline-flex;
    width: 150px;
    margin-left: 6px;
}

.save-btn-wrapper{
    width: 85px;
}

.cancel-btn-wrapper{
    width: 70px;
}

.lang-ja .cancel-btn-wrapper{
    width: auto;
}
.lang-ja .save-btn-wrapper{
    width: auto;
}

.partner-spids-table{
    border: 0px solid #ffffff;
    overflow: hidden;
}

.partner-spids-table tbody tr{
    border: 0px solid #ffffff;
    height: 78px;
}

.is-dirty{
    background: #d9edf7;
}

.partner-spids-table .danger{
    margin-right: 3px;
    width: 7px;
    display: inline-block;
}

.serviceProviderContainer{
    margin-bottom: 64px;
}

.partner-spids-table .header-row{
    border-bottom: 1px solid #f2f2f2;
}

.spid-selected-th{
    border: 0px;
}
.spid-region-th{
    border: 0px;
}
.spid-th{
    border: 0px;
}
.spid-name-th{
    border: 0px;
}
.spid-cta-save-th{
    border: 0px;
}
.spid-cta-cancel-th{
    border: 0px;
}

.spid-selected-td{
    border: 0px;
    width: 5%;
}

.spid-edit{
    cursor: pointer;
    margin-left: 6px;
    color: #666;
    vertical-align: text-bottom;
}

.spid-cta-save{
    border: 0px;
}

.spid-cta-cancel{
    border: 0px;
}

.spid-region-td{
    border: 0px;
    width: 30%;
}

.spid-region-td-wrapper{
    display: inline-block;
    width: 250px;
}

.spid-region-td-wrapper select{
    display: inline;
    padding: 6px;
}

.spid-region-td-wrapper select.is-clean{
    background: #ffffff;
}
.spid-region-td-wrapper select.is-dirty{
    background: #eeeeee;
}

.spid-td {
    border: 0px;
    width: 30%
}
.spid-td input{
    display: inline;
    width: auto;
}

.spid-name-td{
    border: 0px;
    width: 35%;
}
.spid-name-td input{
    display: inline;
    width: auto;
}

.user-management-container{
    margin-top: 12px;
    margin-left: 40px;
    margin-right: 40px;
}

.siereact-table{
    width: 100%;
    margin-bottom: 70px;
}

.siereact-table .siereact-table-search{
    overflow:hidden;
}

.siereact-table-filter{
    display: block;
    float: left;
    width: 50%;
    margin-bottom: 15px;
}

.siereact-table-filter.hidden{
    display: none;
}
.siereact-table-filter.show{
    display: block;
}

.siereact-table-filter input{
    width: 80%;
}

.siereact-table-row-count{
    float: right;
    font-weight: bold;
    line-height: 50px;
}

.siereact-table .siereact-table-wrapper{
    overflow: hidden;
}

.pagination-row{
    margin-top: 24px;
}

.pagination-row-wrapper{
    float: left;
    overflow: hidden;
}

.pagination-row-show-text{
    width: 33.3%;
    float: left;
    height: 170px;
}
.pagination-row-size{
    width: 33.3%;
    float: left;
    text-align: center;
    line-height: 32px;
}

.pagination-row-button-wrapper{
    width: 33.3%;
    float: left;
    text-align: right;
    line-height: 32px;
}

.pagination-row-button-wrapper i{
    cursor: pointer;
}

.pagination-row-button-wrapper i.previouspage{
    padding-right: 10px;
    padding-left: 10px;
}
.pagination-row-button-wrapper i.nextpage{
    padding-right: 10px;
}

.partner-spids-table .form-control{
    color: #999999;
    font-size: 14px;
    height: 40px;
    border-radius:2.5px;
    border:1px solid #d2d2d2;
    outline: none;
}

.partner-spids-table .form-control::-webkit-input-placeholder { /* Edge */
    color: #999999;
}
.partner-spids-table .form-control:-ms-input-placeholder { /* Internet Explorer 10-11 */
    color: #999999;
}
.partner-spids-table .form-control::placeholder {
    color: #999999;
}

.partner-spids-table .form-control:focus{
    color: #363636;
    border-color: #67CAFF;
}
.partner-spids-table .form-control.errorline{
    border-color: #C5474B;
}

.partner-spids-table .form-control[disabled]{
    color: #767676;
    background-color: #EEEEEE;
    border: 1px solid #DBDBDB;
}

.partner-spids-table .error-inline{
    padding-left: 15px;
    padding-top: 4px;
    padding-bottom: 4px;
    margin-left: 10px;
    font-size: 12px;
    line-height: 12px;
    color: #B00C12;
    background: url(/assets/error_icon.svg) no-repeat 0 50%;
}
.partner-spids-table .error-inline.show{
    display: block;
}
.partner-spids-table .error-inline.hide{
    display: none;
}



.spid-input-wrapper{
    display: inline-block;
}

.spid-input-wrapper.select{
    width: 250px;
}

.spid-input-wrapper.select select {
    display: inline;
    padding: 6px;
}

.partner-spids-table input.form-control:-internal-autofill-selected {
    background: #ffffff;
}

.partner-spids-table input.form-control:-webkit-autofill {
    background: #ffffff;
}

.partner-spids-table input:-webkit-autofill {
    -webkit-box-shadow:0 0 0 50px white inset; /* Change the color to your own background color */
    -webkit-text-fill-color: #363636;
}
.partner-spids-table input:-webkit-autofill:focus {
    -webkit-box-shadow: 0 0 0 50px white inset;/*your box-shadow*/
    -webkit-text-fill-color: #363636;
}

.rt-resizable-header-content{
     height: 32px;
    font-family: Arial;
    font-weight: 600;
    display: flex;
    align-items: center;
}

.ReactTable .rt-table {
    overflow: visible !important;
}

.rt-thead  {
    background: #eee;
    border-color: #333;
    position: sticky;
    top: 0;
}

.-sort-asc .th-content {
    position: relative;
}

.-sort-desc .th-content {
    position: relative;
}

.th-content:after{
    position: absolute;
    right: -20px;
    top: 50%;
    transform: translateY(-50%);
    font: normal normal normal 14px/1 FontAwesome;
}

.th-content--code {
    text-transform: uppercase;
}

.-sort-asc .th-content:after{
    content: "\f062";
}

.-sort-desc .th-content:after{
    content: "\f063";
}

.ReactTable .rt-thead .rt-th.-sort-asc,
.ReactTable .rt-thead .rt-td.-sort-asc,
.ReactTable .rt-thead .rt-th.-sort-desc,
.ReactTable .rt-thead .rt-td.-sort-desc {
    box-shadow: none !important;
}

.ReactTable .rt-tbody .rt-td{
    border-right: 1px solid #d3d3d3 !important;
    border-left: 1px solid #d3d3d3 !important;
}

.ReactTable .rt-thead .rt-th.-cursor-pointer, .ReactTable .rt-thead .rt-td.-cursor-pointer {
    border-right: 1px solid #d3d3d3 !important;
    border-left: 1px solid #d3d3d3 !important;
}

.ReactTable .rt-noData {
    margin-top: 60px;
}

body #partner_details_tab-pane-1 input {
    max-width: 94.3rem;
    width: 50vw;
}

.flex-padding {
    display: flex;
    padding-left: 15px;
    padding-right: 15px;
}

#popover-positioned-right {
    background-color: #C5474B;
    color: white;
    font-weight: bold;
}

#popover-positioned-right .arrow::after {
    border-right-color: #C5474B;
}

